package com.ytpm.middle.dao;

import com.ytpm.middle.model.YtMiddleRole;
import com.ytpm.middle.param.MiddleRoleParam;
import com.ytpm.middle.view.MiddleRoleVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface RoleMapper {
    /**
     * 查询角色列表
     */
    List<MiddleRoleVO> queryList(MiddleRoleParam param);

    /**
     * 根据名称查询角色
     */
    YtMiddleRole selectByName(@Param("roleName") String roleName);

    /**
     * 主键查询角色
     */
    YtMiddleRole selectPrimary(@Param("roleId") Integer roleId);

    /**
     * 新增角色信息
     */
    void insertOne(YtMiddleRole middleRole);

    /**
     * 修改角色信息
     */
    void updateById(YtMiddleRole middleRole);

    /**
     * 根据角色ID删除关联关系
     */
    void delUserRoleById(@Param("roleId") Integer roleId);

    /**
     * 授权用户角色
     */
    void grantRoleToUsers(@Param("roleId") Integer roleId,@Param("operatorId") String operatorId, @Param("userIds") String userIds);
    /**
     * 查询角色用户ID
     */
    List<String> getRoleUserIds(@Param("roleId") Integer roleId);
}
